Page MenuHomePhabricator

Allow displaying URL shortener link in sidebar for foreign wiki
Closed, ResolvedPublic

Description

In T267921: Roll out the Toolbox link for URL Shortener in Wikimedia sites, @patilise asked for the sidebar link (implemented as T107101) to be enabled at all Wikimedia wikis. However, as I explained at T267921#6623871, in the current form of the code, $wgUrlShortenerReadOnly needs to be false in order for the sidebar to display. In Wikimedia wikis, that variable is set to true at all wikis but metawiki, in order for throttling to work properly.

We need to introduce a new config variable, to specify the wiki that the shortener lives on, so wikifarms like Wikimedia can have a single shortening wiki used by all other wikis.

Event Timeline

Ammarpad triaged this task as Medium priority.Dec 2 2020, 10:46 AM

In Wikimedia wikis, that variable is set to true at all wikis but metawiki, in order for throttling to work properly.

There's actually no reason we need to limit creating shorturls to just metawiki, we can make the throttling global instead by renaming the key to user-global (and probably just drop the "newbie" entry).

Yeah, fixing the throttling (and possibly reducing it a bit) would unblock further deployment but deployment of link toolbox is blocked on design and performance review (the current design is not great)

Change 715322 had a related patch set uploaded (by Ladsgroup; author: Amir Sarabadani):

[mediawiki/extensions/UrlShortener@master] Rename the ratelimit group from user to user-global

https://gerrit.wikimedia.org/r/715322

Change 715322 merged by jenkins-bot:

[mediawiki/extensions/UrlShortener@master] Rename the ratelimit group from user to user-global

https://gerrit.wikimedia.org/r/715322

Change 715489 had a related patch set uploaded (by Ladsgroup; author: Amir Sarabadani):

[mediawiki/extensions/UrlShortener@master] Drop newbie RateLimit and make user more strict

https://gerrit.wikimedia.org/r/715489

Change 715492 had a related patch set uploaded (by Ladsgroup; author: Amir Sarabadani):

[operations/mediawiki-config@master] Set permission of creating short url to everyone everywhere

https://gerrit.wikimedia.org/r/715492

Change 715489 merged by jenkins-bot:

[mediawiki/extensions/UrlShortener@master] Drop newbie RateLimit and make user more strict

https://gerrit.wikimedia.org/r/715489

Change 715492 merged by jenkins-bot:

[operations/mediawiki-config@master] Set permission of creating short url to everyone everywhere

https://gerrit.wikimedia.org/r/715492

Mentioned in SAL (#wikimedia-operations) [2021-09-06T14:17:23Z] <ladsgroup@deploy1002> Synchronized wmf-config/CommonSettings.php: Config: [[gerrit:715492|Set permission of creating short url to everyone everywhere (T267921 T267925)]], Part I (duration: 00m 59s)

Mentioned in SAL (#wikimedia-operations) [2021-09-06T14:19:14Z] <ladsgroup@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:715492|Set permission of creating short url to everyone everywhere (T267921 T267925)]], Part II (duration: 00m 57s)

Change 719381 had a related patch set uploaded (by Ladsgroup; author: Amir Sarabadani):

[operations/mediawiki-config@master] Enable UrlShortener everywhere

https://gerrit.wikimedia.org/r/719381

Change 719381 merged by jenkins-bot:

[operations/mediawiki-config@master] Enable UrlShortener everywhere

https://gerrit.wikimedia.org/r/719381

Mentioned in SAL (#wikimedia-operations) [2021-09-07T23:13:54Z] <ladsgroup@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:719381|Enable UrlShortener everywhere (T267925)]] (duration: 00m 58s)